# Oxidized Kilo

An experimental reimplementation of the [Kilo](https://viewsourcecode.org/snaptoken/kilo/index.html)
tutorial with a Rust implementation.

## Implementation notes:
* The `editor` prefix has been removed from all the editor methods. Since this implementation
uses `impl`s on a shared `Editor` struct, the prefix is redundant
* Any C equivalent functionality based on memory allocating/deallocating, or other manual book-keeping is instead
implemented in a more idiomatic Rust fashion.


### Known issues:
* The cursor is invisible :(